PHP Manual
Prev |  | Next

# cpdf_rect

(PHP 3 >= 3.0.8, PHP 4, PHP 5 <= 5.0.4)

cpdf_rect -- Draw a rectangle

## Description

bool cpdf_rect ( int pdf_document, float x_coor, float y_coor, float width, float height [, int mode] )

Draws a rectangle.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

`x_coor`

  The x-coordinate of the lower left corner

`y_coor`

  The y-coordinate of the lower left corner

`width`

  The rectangle width

`height`

  The rectangle height

`mode`

  The optional parameter `mode` determines the unit length. If it is 0 or omitted the default unit as specified for the page is used. Otherwise the coordinates are measured in postscript points disregarding the current unit.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Drawing a rectangle

`<?php $cpdf = cpdf_open(0); cpdf_page_init($cpdf, 1, 0, 595, 842, 1.0); // set the fill color to red cpdf_setrgbcolor($cpdf, 1, 0, 0); // draw a (180 * 100) rectangle cpdf_rect($cpdf, 645, 400, 180, 100); // fill the rectangle cpdf_fill($cpdf); cpdf_finalize($cpdf); Header("Content-type: application/pdf"); cpdf_output_buffer($cpdf); cpdf_close($cpdf); ?>`

Prev | Home | Next
cpdf_place_inline_image | Up | cpdf_restore